Bug 7548 - [FR][4.1] add i18n module to install3 (better install2)
: [FR][4.1] add i18n module to install3 (better install2)
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/install3)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://wiki.sisyphus.ru/beta/Critical
:
:
: 9199
  Show dependency tree
 
Reported: 2005-08-03 21:26 by
Modified: 2007-11-10 15:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-03 21:26:36
судя по обсуждению с Антоном на конференции, добавление модуля i18n в install3
(видимо, до пользователей, чтоб правильные skel взялись) является наиболее
простым способом решения проблемы системной кодировки для тех, кому по разным
причинам UTF-8 не годится.

также может влиять на #6104
------- Comment #1 From 2005-08-04 11:13:52 -------
Я уже кажется говорил, что этого не будет.
------- Comment #2 From 2005-08-04 12:09:19 -------
Почему?  Дубликация вопроса?

Насчёт "кажется" -- мне как раз и показалось, что в Обнинске ты сказал, что это
можно и несложно сделать.  Мы с Виталиком даже сдуру повелись и не стали
выяснять дальше, зачем ломать одну из основных фич альта за последние несколько лет.
------- Comment #3 From 2005-08-04 13:31:20 -------
Наверное всё-таки не стоит перегружать install3 шагами.
Я думаю что если наличие не UTF будет гореть, то можно будет всё исправить
добавлением одного скромненького combobox во второй стадии.
------- Comment #4 From 2005-08-04 14:06:43 -------
Дублирование доставания кодировок, как минимум... но вообще-то lav@ не зря
поставил эту проблему первой в список (%URL), наличие свободы выбора кодировок
является огромным преимуществом ALT Linux с RedHat 9 и большим (за счёт CP1251)
-- до того.  Сколько раз было по всяким форумам в ответ на плач и стоны.

Я действительно не вижу смысла навязывать UTF при наличии большого количества
проблем с ним, далеко не все из которых вообще могут быть решены до сентября.

Изменение после установки прямо сейчас сломано по части кодировки части меню. 
Если получится исправить -- лишний шаг и сбитые skel.

PS: опять же это не INVALID, а WONTFIX, притом не-майнтейнера.  Нехорошо.
------- Comment #5 From 2005-08-04 18:12:25 -------
не суть важно. 

Баг не обоснован, он действительно invalid. Мало ли кто чего захочет добавить на
третью стадию. Есть политика партии, список шагов и фичи согласованы и менять их
никто не собирается.

просьба эту тему закрыть и заняться более важными вещами - исправлением того-же
меню (патчи на icewm приветствуются) и консолью в юникоде (там я думаю можно
смело делать NMU).
------- Comment #6 From 2005-08-04 22:49:22 -------
(In reply to comment #5)
> не суть важно.  Баг не обоснован, он действительно invalid.
Обоснование мы с Виталиком тебе вроде как ещё в Обнинске продублировали.
Могу объяснить более простыми словами, на пальцах, но мне за тебя тогда будет
очень стыдно.

> Мало ли кто чего захочет добавить на третью стадию. Есть политика партии, 
> список шагов и фичи согласованы и менять их никто не собирается.
И озвучивать -- тоже.  Сколько лет, сколько шишек, и хоть бы раз кто подумал,
что в политике в мозгах одного человека _бывают_ баги, хоть он семи пядей во
лбу.  Даже Дима на это нарывался.

> просьба эту тему закрыть и заняться более важными вещами - исправлением того-же
> меню (патчи на icewm приветствуются)
Мы не используем icewm, в ходу xfce.

> и консолью в юникоде (там я думаю можно смело делать NMU).
Попробую посмотреть, но сейчас дел много навалилось и что-то срочно делать в
помощь тебе, когда ты кладёшь на встречные просьбы, уже опять надоело.

Может, это жара, а может, тенденция...
------- Comment #7 From 2005-08-05 09:35:53 -------
короче, майк... не заставляй меня еще и в bugzilla вешать на тебя фильтры.

Тебе надо - ты и добавишь. Для себя.

Вопрос закрыт

А xfce тоже надо патчить.
------- Comment #8 From 2005-08-05 10:38:49 -------
(In reply to comment #7)
> короче, майк... не заставляй меня еще и в bugzilla вешать на тебя фильтры.
Антон, вешай где угодно.  Твоё право хоть замуроваться.

> Тебе надо - ты и добавишь. Для себя. Вопрос закрыт
Замечательно.

2 inger: за тебя шикарно расписались, и мне кажется, что кое-кто опять превысил
свои полномочия.  Не говоря уже о том, что надеяться на помощь с таким свинским
отношением может только очень наивный человек.

> А xfce тоже надо патчить.
Будет надо -- будем патчить.

А пока для очередного проекта взяли за базу допиленный мной Compact 2.3,
поскольку оно хотя бы работает.  В отличие от.
------- Comment #9 From 2005-08-05 10:43:02 -------
Не надо только про мои полномочия... ладно ?

Я как релиз-менеджер Compact'а буду определять что в нем и в каком виде должно быть.
------- Comment #10 From 2005-08-05 10:49:19 -------
А по поводу помощи - я как всегда не надеюсь _на твою_ помощь, ибо в последнее
время она превратилась из помощи - в помеху.

Чего только стоит твой скрипт для поиска и монтирования жестких дисков.

Так что давай, либо действительно делом будем заниматься, либо полгода спорить
о
том, что и как должно быть.

Не закрытых задач - множество. Решения есть. Нужны только руки. Вместо того,
что
бы их прикладывать к правильным местам, ты прикладываешь их к почте и к
сообщения в bugzilla, тем самым отвлекая нас на то, что бы комментировать твои
сообщения. 

В целом я на эту тему уже не раз высказывался. Рекомендую еще раз подумать.
------- Comment #11 From 2006-03-09 12:11:48 -------
Всё-таки переоткрою, практика и рассылки показывают, что UTF-8 не всех
устраивает, а 3.1 вроде бы менее узкоспециальный.

(про скрипт для rescue -- прохлопал, недопереписанный hdmount тут валяется -- а
можно было в 3.0.4 уложить, если не лодырничать)
------- Comment #12 From 2007-11-10 15:43:34 -------
проехали